
/**
 * @file
 *  exercise-node-form.js javascript file
 *  The javascript file for the exercise node form.
 */

var Exercise = Exercise || {};
Exercise.image = Exercise.image || {};

/**
 * Initialize image field.
 */
Exercise.image.initialize = function() {
  Exercise.image.$field = $('#edit-exercise-image').change(Exercise.image.change);
  Exercise.image.$preview = $('<img src="' + Drupal.settings.exercise.moduleUrl + '/theme/images/exercise-default.png" alt="" width="100" height="75"/><br/>').insertBefore(Exercise.image.$field);
}

/**
 * Image changed.
 */
Exercise.image.change = function() {
  Exercise.image.$preview.attr('src', Drupal.settings.exercise.moduleUrl + '/theme/images/loading.gif')
  var image = Exercise.image.$field.val();
  if (image == '') {
    Exercise.image.$preview.attr('src', Drupal.settings.exercise.moduleUrl + '/theme/images/exercise-default.png');
  }
  else if (image.match(/^\d+$/)) {
    Exercise.image.$preview.attr('src', Drupal.settings.exercise.viewImageUrl + '/' + image + '/' + Drupal.settings.exercise.thumbnailSize);
  }
  else {
    Exercise.image.$preview.attr('src', image);
  }
}

$(document).ready(Exercise.image.initialize);